# Web Key Directory

This repository contains tooling and data
to generate a [Web Key Directory](https://wiki.gnupg.org/WKD) on my personal domains.

## Usage

As this is a personal project, only [Nix](https://nixos.org/) is supported
(using [direnv](https://direnv.net/) for easy setup),
though it is trivial to get it to work on other systems.

The domains and keys to use are listed in `domains.txt` and `keys.txt`.

The GnuPG keyring is used for getting the key material,
which then gets processed by [Sequoia](https://sequoia-pgp.org/).

To update the keys (in `keys/`):

    make keys

To create the `wkd` directory, including the required structure for a WKD:

    make

To deploy the keys to the server:

    make deploy

## License

Most files are licensed under the terms of [`GPL-3.0-or-later`](./LICENSES/GPL-3.0-or-later.txt),
but some smaller or generated files are licensed under the terms of [`CC0-1.0`](./LICENSES/CC0-1.0.txt).

This repository is [REUSE](https://reuse.software/) compliant,
so the specific license can be extracted according to the REUSE specification.
